Revit.SDK.Samples.NewRoof.RoofForms.CS.FootPrintRoofLine.DrawCurve C# (CSharp) Method

DrawCurve() private method

Draw the curve in GDI.
private DrawCurve ( Graphics graphics, System pen, Curve curve ) : void
graphics System.Drawing.Graphics
pen System
curve Curve
return void
        private void DrawCurve(Graphics graphics, System.Drawing.Pen pen, Curve curve)
        {
            List<PointF> poinsts = new List<PointF>();
            foreach (Autodesk.Revit.DB.XYZ point in curve.Tessellate())
            {
                poinsts.Add(Util.Translate(point,m_boundingbox));
            }
            graphics.DrawCurve(pen, poinsts.ToArray());
        }